WordPress WP-FeedStats HTML注入漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1113373 漏洞类型 跨站脚本
发布时间 2007-07-26 更新时间 2007-08-02
CVE编号 CVE-2007-4104 CNNVD-ID CNNVD-200707-576
漏洞平台 PHP CVSS评分 4.3
|漏洞来源
https://www.exploit-db.com/exploits/30403
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200707-576
|漏洞详情
WordPressWP-FeedStats2.4插件版本之前的版本中存在多个跨站脚本攻击漏洞。远程攻击者可以借助未明向量,注入任意web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/25085/info

The WP-FeedStats plugin for WordPress is prone to an HTML-injection vulnerability because it fails to sufficiently sanitize user-supplied input data.

Exploiting this issue may allow an attacker to execute HTML and script code in the context of the affected site, to steal cookie-based authentication credentials, or to control how the site is rendered to the user; other attacks are also possible.

This issue affects versions prior to WP-FeedStats 2.4. 

http://www.example.com/_wp1/?feed=rss2&<script>alert(1)</script>
|参考资料

来源:BID
名称:25085
链接:http://www.securityfocus.com/bid/25085
来源:SECUNIA
名称:26249
链接:http://secunia.com/advisories/26249
来源:bueltge.de
链接:http://bueltge.de/plugin-wp-feedstats-in-neuer-version/481/
来源:XF
名称:wordpress-wpfeedstats-xss(35646)
链接:http://xforce.iss.net/xforce/xfdb/35646
来源:OSVDB
名称:37259
链接:http://osvdb.org/37259
来源:FULLDISC
名称:20070726WordPresswp-feedstatspersistentXSS
链接:http://marc.info/?l=full-disclosure&m=118548811323718&w=2
来源:MISC
链接:http://blogsecurity.net/wordpress/news-260707/
来源:MISC
链接:http://blogsecurity.net/news/news-130707/